/*
  Simple example for receiving
  
  https://github.com/sui77/rc-switch/
*/

#include <RCSwitch.h>

RCSwitch txSwitch = RCSwitch();
RCSwitch rxSwitch = RCSwitch();
String SInput;

void setup() {
  Serial.begin(115200);
  rxSwitch.enableReceive(D6);  // Receiver on interrupt 0 => that is pin #2
  txSwitch.enableTransmit(D5);
  // Optional set pulse length.
  txSwitch.setPulseLength(162);
}

void loop() {
  if (rxSwitch.available()) {
    
    int value = rxSwitch.getReceivedValue();
    
    if (value == 0) {
      Serial.print("Unknown encoding");
    } else {
      Serial.print("Received ");
      Serial.print( rxSwitch.getReceivedValue() );
      Serial.print(" / ");
      Serial.print( rxSwitch.getReceivedBitlength() );
      Serial.print("bit ");
      Serial.print("Protocol: ");
      Serial.println( rxSwitch.getReceivedProtocol() );
    }

    rxSwitch.resetAvailable();
  }
  while (Serial.available()) {
    cliinterpret();
  }
}

void cliinterpret() {
    char byteRead;
    int x=0;
    while (Serial.available()) {
      byteRead = Serial.read();

      // Exceptions go here, get made to nothing Someday there will be more than \n
      // Basically if byteRead = \n it will be ignored.
      if (byteRead == '\n') {
        byteRead = '\n';
      }

      // In General append to the SInput string
      if ((byteRead != '\r') && (byteRead != '\n')){
        SInput += byteRead;
      }

      // If we detect a CR then that signals the end of the line
      if (byteRead=='\r') {
        Serial.print("COMMAND: ");
        Serial.println(SInput.toInt());
        txSwitch.send(SInput.toInt(), 24);
        // Clear Buffer ready for next Input
        SInput="";
      }
    }
    
}

