/*
  Created By Larry Apolonio
  March 11, 2018
  
  This sketch is for the LinuxFest 2018 433Mhz Discovery

  March 22, 2018
  Moved Location of delay to outside of if statement
  
*/
#include <RCSwitch.h>

///////////////////////////////////////////////////////////////
// Global Definitions
const char* SKETCH = "RF433_Discovery_Linuxfest2018_Wemos";
const char* VERSION = "20180322";
///////////////////////////////////////////////////////////////

///////////////////////////////////////////////////////////////
// ESP8266 Pins Definitions
const byte RXPIN = D7;
///////////////////////////////////////////////////////////////

///////////////////////////////////////////////////////////////
// Declare Objects Here
RCSwitch rxSwitch = RCSwitch();
unsigned long int lastcode = 0;
unsigned long lastDebounceTime = 0;  // the last time the output pin was toggled
unsigned long debounceDelay = 1000;   // the debounce time in ms 
///////////////////////////////////////////////////////////////

void setup() {
  Serial.begin(115200);
  Serial.println();
  Serial.print("Sketch: ");
  Serial.println(SKETCH);
  Serial.print("Version: ");
  Serial.println(VERSION);
///////////////////////////////////////////////////////////////
// 433Mhz Initialization
  rxSwitch.enableReceive(RXPIN);
///////////////////////////////////////////////////////////////
}

void loop() {
  // put your main code here, to run repeatedly:
  // This process see rf433devices folder
  rh433loop();
  if ((millis() - lastDebounceTime) > debounceDelay) {
    lastcode = 0;
  }
}


